Bug 114257 - sendmail needs to depend on newer chkconfig version
sendmail needs to depend on newer chkconfig version
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-25 09:42 EST by Jonathan Kamens
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-28 12:03:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-01-25 09:42:31 EST
Apparently the /usr/lib/sendmail link was removed recently from the
sendmail package because alternatives is supposed to provide it, but
the version of alternatives I'm running doesn't.  I think sendmail's
RPM needs to have a dependency on the version of chkconfig (or later)
in which the link was first introduced.
Comment 1 Thomas Woerner 2004-01-28 06:20:08 EST
What exactly have you done to get the error? It works for me without
any problem.
Comment 2 Jonathan Kamens 2004-01-28 08:13:29 EST
Perhaps that's because you don't have anything installed on your
system which assumes that /usr/lib/sendmail exists.  I have such
scripts installed on my system, and they stopped working when I
installed the new sendmail RPM because /usr/lib/sendmail was removed
from it.

There was no "error" per se, just the disappearance of a program from
a standard location.
Comment 3 Thomas Woerner 2004-01-28 08:52:39 EST
Please use system-switch-mail and switch to sendmail again. The link
will be there, then.

/usr/lib/sendmail is a symlink for copatibility reasons. Newer
programs should not use it anymore.
Comment 4 Jonathan Kamens 2004-01-28 09:13:21 EST
System-switch-mail solved the problem, but this does not change the
fact that upgrading sendmail made the link go away.  You need to do
something in the postinstall scripts to refresh the alternatives mta
state to get it to recreate the link.  Otherwise you're breaking
people's systems when they upgrade sendmail.

I will try to track down and replace my usages of /usr/lib/sendmail
with /usr/sbin/sendmail, but this doesn't change the fact that you
shouldn't break /usr/lib/sendmail on upgrade unless you're consciously
choosing not to support it at all anymore.
Comment 5 Thomas Woerner 2004-01-28 12:03:26 EST
Fixed in rawhide in rpm sendmail-8.2.11-2 or newer.

Note You need to log in before you can comment on or make changes to this bug.